Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.launching
Class AbstractVMInstall

    java.lang.Object
      org.eclipse.jdt.launching.AbstractVMInstall

All Implemented Interfaces:
  IVMInstall

Direct Known Subclasses:
  VMStandin

public abstract class AbstractVMInstall
extends Object
implements IVMInstall

Abstract implementation of a VM install.

Clients implenmenting VM installs should subclass this class.

Constructor Summary
`AbstractVMInstall(IVMInstallType type, String id)` Constructs a new VM install.

Method Summary
`boolean` | `equals(Object object)`
`String` | `getId()` Returns the id for this VM.
`File` | `getInstallLocation()` Returns the root directory of the install location of this VM.
`URL` | `getJavadocLocation()` Returns the Javadoc location associated with this VM install.
`LibraryLocation[]` | `getLibraryLocations()` Returns the library locations of this IVMInstall.
`String` | `getName()` Returns the display name of this VM.
`String[]` | `getVMArguments()` Returns VM arguments to be used with this vm install whenever this VM is launched, or `null` if none.
`IVMInstallType` | `getVMInstallType()` Returns the VM type of this VM.
`IVMRunner` | `getVMRunner(String mode)` Returns a VM runner that runs this installed VM in the given mode.
`int` | `hashCode()`
`void` | `setInstallLocation(File installLocation)` Sets the root directory of the install location of this VM.
`void` | `setJavadocLocation(URL url)` Sets the Javadoc location associated with this VM install.
`void` | `setLibraryLocations(LibraryLocation[] locations)` Sets the library locations of this IVMInstall.
`void` | `setName(String name)` Sets the display name of this VM.
`protected void` | `setNotify(boolean notify)` Whether this VM should fire property change notifications.
`void` | `setVMArguments(String[] vmArgs)` Sets VM arguments to be used with this vm install whenever this VM is launched, possibly `null`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractVMInstall

    public AbstractVMInstall(IVMInstallType type,
                             String id)

  Constructs a new VM install.

Parameters:
  `type` - The type of this VM install. Must not be `null`
  `id` - The unique identifier of this VM instance Must not be `null`.
Throws:
  `IllegalArgumentException` - if any of the required parameters are `null`.

Method Detail

### getId

    public String getId()

  Description copied from interface: `IVMInstall`
  Returns the id for this VM. VM ids are unique within the VMs of a given VM type. The VM id is not intended to be presented to users.

  Specified by:
    `getId` in interface `IVMInstall`
  Returns:
    the VM identifier. Must not return `null`.

### getName

    public String getName()

  Description copied from interface: `IVMInstall`
  Returns the display name of this VM. The VM name is intended to be presented to users.

  Specified by:
    `getName` in interface `IVMInstall`
  Returns:
    the display name of this VM. May return `null`.

### setName

    public void setName(String name)

  Description copied from interface: `IVMInstall`
  Sets the display name of this VM. The VM name is intended to be presented to users.

  Specified by:
    `setName` in interface `IVMInstall`
  Parameters:
    `name` - the display name of this VM

### getInstallLocation

    public File getInstallLocation()

  Description copied from interface: `IVMInstall`
  Returns the root directory of the install location of this VM.

  Specified by:
    `getInstallLocation` in interface `IVMInstall`
  Returns:
    the root directory of this VM installation. May return `null`.

### setInstallLocation

    public void setInstallLocation(File installLocation)

  Description copied from interface: `IVMInstall`
  Sets the root directory of the install location of this VM.

  Specified by:
    `setInstallLocation` in interface `IVMInstall`
  Parameters:
    `installLocation` - the root directory of this VM installation

### getVMInstallType

    public IVMInstallType getVMInstallType()

  Description copied from interface: `IVMInstall`
  Returns the VM type of this VM.

  Specified by:
    `getVMInstallType` in interface `IVMInstall`
  Returns:
    the VM type that created this IVMInstall instance

### getVMRunner

    public IVMRunner getVMRunner(String mode)

  Description copied from interface: `IVMInstall`
  Returns a VM runner that runs this installed VM in the given mode.

  Specified by:
    `getVMRunner` in interface `IVMInstall`
  Parameters:
    `mode` - the mode the VM should be launched in; one of the constants declared in `org.eclipse.debug.core.ILaunchManager`
  Returns:
    a VMRunner for a given mode May return `null` if the given mode is not supported by this VM.
  See Also:
    `ILaunchManager`

### getLibraryLocations

    public LibraryLocation[] getLibraryLocations()

  Description copied from interface: `IVMInstall`
  Returns the library locations of this IVMInstall. Generally, clients should use `JavaRuntime.getLibraryLocations(IVMInstall)` to determine the libraries associated with this VM install.

  Specified by:
    `getLibraryLocations` in interface `IVMInstall`
  Returns:
    The library locations of this IVMInstall. Returns `null` to indicate that this VM install uses the default library locations associated with this VM's install type.
  See Also:
    `IVMInstall.setLibraryLocations(LibraryLocation[])`

### setLibraryLocations

    public void setLibraryLocations(LibraryLocation[] locations)

  Description copied from interface: `IVMInstall`
  Sets the library locations of this IVMInstall.

  Specified by:
    `setLibraryLocations` in interface `IVMInstall`
  Parameters:
    `locations` - The `LibraryLocation`s to associate with this IVMInstall. May be `null` to indicate that this VM install uses the default library locations associated with this VM's install type.

### getJavadocLocation

    public URL getJavadocLocation()

  Description copied from interface: `IVMInstall`
  Returns the Javadoc location associated with this VM install.

  Specified by:
    `getJavadocLocation` in interface `IVMInstall`
  Returns:
    a url pointing to the Javadoc location associated with this VM install, or `null` if none

### setJavadocLocation

    public void setJavadocLocation(URL url)

  Description copied from interface: `IVMInstall`
  Sets the Javadoc location associated with this VM install.

  Specified by:
    `setJavadocLocation` in interface `IVMInstall`
  Parameters:
    `url` - a url pointing to the Javadoc location associated with this VM install

### setNotify

    protected void setNotify(boolean notify)

  Whether this VM should fire property change notifications.

  Parameters:
    `notify` -
  Since:
    2.1

### equals

    public boolean equals(Object object)

### hashCode

    public int hashCode()

### getVMArguments

    public String[] getVMArguments()

  Description copied from interface: `IVMInstall`
  Returns VM arguments to be used with this vm install whenever this VM is launched, or `null` if none.

  Specified by:
    `getVMArguments` in interface `IVMInstall`
  Returns:
    VM arguments to be used with this vm install whenever this VM is launched, or `null` if none

### setVMArguments

    public void setVMArguments(String[] vmArgs)

  Description copied from interface: `IVMInstall`
  Sets VM arguments to be used with this vm install whenever this VM is launched, possibly `null`.

  Specified by:
    `setVMArguments` in interface `IVMInstall`
  Parameters:
    `vmArgs` - VM arguments to be used with this vm install whenever this VM is launched, possibly `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.